import metodosFetch from "../app/metodosFetch.js?v=2.0.0";
import { CODEMPRESA } from "../app/constantes.js?v=2.0.0";

class Proyecto {
  constructor({ codempresa, codsucursal, codproyecto, nombreProyecto }) {
    this.codempresa = codempresa;
    this.codsucursal = codsucursal;
    this.codproyecto = codproyecto;
    this.nombreProyecto = nombreProyecto;
  }

  static async obtenerTodosPorEmpresaSucursal({
    codempresa = CODEMPRESA,
    codsucursal = 0,
  }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/proyectoController",
        parametros: {
          accion: "obtenerTodosPorEmpresaSucursal",
          codempresa,
          codsucursal,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }

  static async obtenerPorUsuarioModulo({
    codempresa,
    codsucursal,
    idUsuario = 0,
    idConfiguracion = 0,
  }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/proyectoController",
        parametros: {
          accion: "obtenerPorUsuarioModulo",
          codempresa,
          codsucursal,
          idUsuario,
          idConfiguracion,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Proyecto;
